API ReferenceapicommercePOST /v1/carts/{id}/checkout

POST /v1/carts/\{id\}/checkout

Service: commerce · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Checkout initiated

{
  "type": "object",
  "properties": {
    "order_id": {
      "type": "string"
    },
    "payment_id": {
      "type": "string"
    }
  },
  "required": [
    "order_id",
    "payment_id"
  ]
}

404 Cart not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

409 Cart already completed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Cart empty

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://commerce.platform.loop.health/v1/carts/{id}/checkout \
  -H "Authorization: Bearer $ACCESS_TOKEN"